{
    "entryFile": "src/app.ts",
    "noImplicitAdditionalProperties": "throw-on-extras",
    "controllerPathGlobs": [
        "src/controllers/**/*Controller.ts"
    ],
    "spec": {
        "outputDirectory": "public",
        "specVersion": 3,
        "name": "E-Learning Platform API",
        "description": "API documentation for E-Learning Platform",
        "version": "1.0.0",
        "contact": {
            "name": "E-Learning Team"
        },
        "securityDefinitions": {
            "jwt": {
                "type": "apiKey",
                "name": "Authorization",
                "in": "header",
                "description": "JWT Authorization header using the Bearer scheme. Example: \"Authorization: Bearer {token}\""
            }
        }
    },
    "routes": {
        "routesDir": "src/routes",
        "middleware": "express",
        "authenticationModule": "./src/middleware/authentication.ts",
        "multerOpts": {
            "limits": {
                "fileSize": 1073741824
            }
        }
    }
}